<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: llg/writelog_pvode.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_ad11b878d2835527517911859427b54f.html">llg</a>
  </div>
</div>
<div class="contents">
<h1>writelog_pvode.c File Reference</h1><code>#include &quot;<a class="el" href="llg_8h_source.html">llg.h</a>&quot;</code><br/>
<code>#include &quot;cvode/cvode.h&quot;</code><br/>
<div class="dynheader">
Include dependency graph for writelog_pvode.c:</div>
<div class="dynsection">
<div class="center"><img src="writelog__pvode_8c__incl.png" border="0" usemap="#llg_2writelog__pvode_8c_map" alt=""/></div>
<map name="llg_2writelog__pvode_8c_map" id="llg_2writelog__pvode_8c">
<area shape="rect" id="node3" href="llg_8h.html" title="llg.h" alt="" coords="179,86,224,117"/><area shape="rect" id="node5" href="griddata_8h.html" title="griddata.h" alt="" coords="163,166,240,197"/></map>
</div>

<p><a href="writelog__pvode_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="writelog__pvode_8c.html#a3e2b0c2d1553ae99499b4d70f14bba10">WriteLogPVodeInit</a> (<a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="writelog__pvode_8c.html#afc3aa13e4e04c3b501cf220d4cc1e3ee">WriteLogPVode</a> (<a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="afc3aa13e4e04c3b501cf220d4cc1e3ee"></a><!-- doxytag: member="writelog_pvode.c::WriteLogPVode" ref="afc3aa13e4e04c3b501cf220d4cc1e3ee" args="(GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int WriteLogPVode </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="writelog__pvode_8c_source.html#l00120">120</a> of file <a class="el" href="writelog__pvode_8c_source.html">writelog_pvode.c</a>.</p>

<p>References <a class="el" href="mytscreatepvode_8c_source.html#l00037">cvode_mem</a>, <a class="el" href="griddata_8h_source.html#l00082">MagparFunctionInfoBegin</a>, <a class="el" href="griddata_8h_source.html#l00083">MagparFunctionInfoReturn</a>, <a class="el" href="griddata_8h_source.html#l00145">GridData::time</a>, <a class="el" href="griddata_8h_source.html#l00150">GridData::tscale</a>, and <a class="el" href="writelog__pvode_8c_source.html#l00041">WriteLogPVodeInit()</a>.</p>

<p>Referenced by <a class="el" href="writelog_8c_source.html#l00295">WriteLog()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="writelog__pvode_8c_afc3aa13e4e04c3b501cf220d4cc1e3ee_cgraph.png" border="0" usemap="#writelog__pvode_8c_afc3aa13e4e04c3b501cf220d4cc1e3ee_cgraph_map" alt=""></div>
<map name="writelog__pvode_8c_afc3aa13e4e04c3b501cf220d4cc1e3ee_cgraph_map" id="writelog__pvode_8c_afc3aa13e4e04c3b501cf220d4cc1e3ee_cgraph">
<area shape="rect" id="node3" href="writelog__pvode_8c.html#a3e2b0c2d1553ae99499b4d70f14bba10" title="WriteLogPVodeInit" alt="" coords="164,5,289,35"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="writelog__pvode_8c_afc3aa13e4e04c3b501cf220d4cc1e3ee_icgraph.png" border="0" usemap="#writelog__pvode_8c_afc3aa13e4e04c3b501cf220d4cc1e3ee_icgraph_map" alt=""></div>
<map name="writelog__pvode_8c_afc3aa13e4e04c3b501cf220d4cc1e3ee_icgraph_map" id="writelog__pvode_8c_afc3aa13e4e04c3b501cf220d4cc1e3ee_icgraph">
<area shape="rect" id="node3" href="writelog_8c.html#ad970cf1663bac1ede525a5caf43750fd" title="WriteLog" alt="" coords="163,102,235,133"/><area shape="rect" id="node5" href="checkiterationemini_8c.html#a1c9f3282235f811af60323611535e99b" title="CheckIterationEmini" alt="" coords="283,76,421,106"/><area shape="rect" id="node7" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="645,101,704,132"/><area shape="rect" id="node11" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="507,178,560,209"/><area shape="rect" id="node14" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="288,129,416,160"/><area shape="rect" id="node18" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="313,22,391,53"/><area shape="rect" id="node23" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="309,233,395,264"/><area shape="rect" id="node9" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="752,153,803,184"/><area shape="rect" id="node20" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="471,24,596,54"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a3e2b0c2d1553ae99499b4d70f14bba10"></a><!-- doxytag: member="writelog_pvode.c::WriteLogPVodeInit" ref="a3e2b0c2d1553ae99499b4d70f14bba10" args="(GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int WriteLogPVodeInit </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="writelog__pvode_8c_source.html#l00041">41</a> of file <a class="el" href="writelog__pvode_8c_source.html">writelog_pvode.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, <a class="el" href="griddata_8h_source.html#l00147">GridData::mode</a>, and <a class="el" href="griddata_8h_source.html#l00142">GridData::simname</a>.</p>

<p>Referenced by <a class="el" href="writelog__pvode_8c_source.html#l00120">WriteLogPVode()</a>.</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="writelog__pvode_8c_a3e2b0c2d1553ae99499b4d70f14bba10_icgraph.png" border="0" usemap="#writelog__pvode_8c_a3e2b0c2d1553ae99499b4d70f14bba10_icgraph_map" alt=""></div>
<map name="writelog__pvode_8c_a3e2b0c2d1553ae99499b4d70f14bba10_icgraph_map" id="writelog__pvode_8c_a3e2b0c2d1553ae99499b4d70f14bba10_icgraph">
<area shape="rect" id="node3" href="writelog__pvode_8c.html#afc3aa13e4e04c3b501cf220d4cc1e3ee" title="WriteLogPVode" alt="" coords="181,102,291,133"/><area shape="rect" id="node5" href="writelog_8c.html#ad970cf1663bac1ede525a5caf43750fd" title="WriteLog" alt="" coords="339,102,411,133"/><area shape="rect" id="node7" href="checkiterationemini_8c.html#a1c9f3282235f811af60323611535e99b" title="CheckIterationEmini" alt="" coords="459,76,597,106"/><area shape="rect" id="node9" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="821,101,880,132"/><area shape="rect" id="node13" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="683,178,736,209"/><area shape="rect" id="node16" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="464,129,592,160"/><area shape="rect" id="node20" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="489,22,567,53"/><area shape="rect" id="node25" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="485,233,571,264"/><area shape="rect" id="node11" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="928,153,979,184"/><area shape="rect" id="node22" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="647,24,772,54"/></map>
</div>
</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

